summaryrefslogtreecommitdiffstats
path: root/games/roccat-tools
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-06-03 04:12:42 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-06 07:56:28 +0700
commit050e35536e25ea1f063c9814cf27b68283e8355f (patch)
treedd08677081a1103fd8a2e5972813c63c6beee431 /games/roccat-tools
parent82a2a785d48f304e0db91478fccd53184af6020d (diff)
downloadslackbuilds-050e35536e25ea1f063c9814cf27b68283e8355f.tar.gz
slackbuilds-050e35536e25ea1f063c9814cf27b68283e8355f.tar.xz
games/roccat-tools: Updated for version 5.6.0.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/roccat-tools')
-rw-r--r--games/roccat-tools/README7
-rw-r--r--games/roccat-tools/roccat-tools.SlackBuild35
-rw-r--r--games/roccat-tools/roccat-tools.info8
3 files changed, 28 insertions, 22 deletions
diff --git a/games/roccat-tools/README b/games/roccat-tools/README
index 2f16325633..28f74b2782 100644
--- a/games/roccat-tools/README
+++ b/games/roccat-tools/README
@@ -50,13 +50,6 @@ all other users to the group that was created
Do a logout/login to apply your new group ownership and replug your
device and everything should work as expected.
-You can optionally compile support for Lua 5.1 or 5.2 if you want
-scripting possibilities. This will add lua (available at SBo) or
-lua-5.2 (not available at SBo) as a dependency.
-Set the Lua version like this:
-
- LUAVERSION="5.1"
-
If you have an old Kone (ROC-11-500, ROC-11-501) you, in certain cases,
may additionally need the kmod-roccat package which is currently not
avaiable at SBo.
diff --git a/games/roccat-tools/roccat-tools.SlackBuild b/games/roccat-tools/roccat-tools.SlackBuild
index 5d26b064f7..948305a567 100644
--- a/games/roccat-tools/roccat-tools.SlackBuild
+++ b/games/roccat-tools/roccat-tools.SlackBuild
@@ -22,16 +22,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20170603 bkw: Modified by B. Watson <yalhcru@gmail.com>:
+# - update for latest version (5.6.0), since the old version won't build
+# with modern libgaminggear.
+# - i486 => i586.
+# - use getent to check for group existence, instead of grepping /etc/group.
+# Note: I am not taking over as maintainer. Someone who actually owns roccat
+# hardware should do that.
+
PRGNAM=roccat-tools
-VERSION=${VERSION:-3.7.1}
+VERSION=${VERSION:-5.6.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
-
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -41,8 +48,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,7 +67,7 @@ set -e
GROUP=${GROUP:-roccat}
# Check the system group for roccat:
-if ! grep -q ^"$GROUP": /etc/group ; then
+if ! getent group $GROUP >/dev/null; then
echo " You will need a dedicated group to run roccat-tools"
echo " # groupadd -r -g 318 $GROUP"
echo " should do the job."
@@ -86,11 +93,17 @@ else
HW="-DDEVICES='$DEVICES'"
fi
-if [ "${LUAVERSION:-no}" == "no" ]; then
- LUA=""
-else
- LUA="-DWITH_LUA='$LUAVERSION'"
-fi
+# 20170603 bkw: lua is now a required dep, per upstream. However their
+# autodetection is broken so we have to do it ourselves. Note that the
+# WITH_LUA cmake option takes the major.minor version (e.g. 5.1, not 5.1.5).
+# Also note: the cmake script searches for luajit as well as lua, but
+# if luajit's not found, the build succeeds anyway. Not being a lua guy,
+# I don't know what (if anything) is different when built with or
+# without luajit. I only mention it to bring it to the attention of
+# the future maintainer of this script (whoever that turns out to be).
+
+LUAVERSION="$( lua -e 'print(_VERSION)' | cut -d' ' -f2 )"
+LUA="-DWITH_LUA='$LUAVERSION'"
mkdir -p build
cd build
diff --git a/games/roccat-tools/roccat-tools.info b/games/roccat-tools/roccat-tools.info
index 494db88a52..f43f37d7b1 100644
--- a/games/roccat-tools/roccat-tools.info
+++ b/games/roccat-tools/roccat-tools.info
@@ -1,10 +1,10 @@
PRGNAM="roccat-tools"
-VERSION="3.7.1"
+VERSION="5.6.0"
HOMEPAGE="https://sourceforge.net/projects/roccat/"
-DOWNLOAD="https://downloads.sourceforge.net/roccat/roccat-tools-3.7.1.tar.bz2"
-MD5SUM="ef0d0b990fbdbf66993fcee5869430bf"
+DOWNLOAD="https://downloads.sourceforge.net/roccat/roccat-tools-5.6.0.tar.bz2"
+MD5SUM="deec40e21fadd76abe5693b29fc30d97"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="libgaminggear"
+REQUIRES="libgaminggear lua"
MAINTAINER="Gerardo Zamudio"
EMAIL="gerardo.zamudio@linux.com"